## brasero-track-type

brasero-track-type

## Functions

BraseroTrackType * | brasero_track_type_new ()
void | brasero_track_type_free ()
gboolean | brasero_track_type_is_empty ()
gboolean | brasero_track_type_get_has_data ()
gboolean | brasero_track_type_get_has_image ()
gboolean | brasero_track_type_get_has_stream ()
gboolean | brasero_track_type_get_has_medium ()
void | brasero_track_type_set_has_data ()
void | brasero_track_type_set_has_image ()
void | brasero_track_type_set_has_stream ()
void | brasero_track_type_set_has_medium ()
BraseroStreamFormat | brasero_track_type_get_stream_format ()
BraseroImageFormat | brasero_track_type_get_image_format ()
BraseroMedia | brasero_track_type_get_medium_type ()
BraseroImageFS | brasero_track_type_get_data_fs ()
void | brasero_track_type_set_stream_format ()
void | brasero_track_type_set_image_format ()
void | brasero_track_type_set_medium_type ()
void | brasero_track_type_set_data_fs ()
gboolean | brasero_track_type_equal ()

## Types and Values

| BraseroTrackType

## Description

## Functions

### brasero_track_type_new ()

    BraseroTrackType *
    brasero_track_type_new (void);

Creates a new BraseroTrackType structure. Free it with `brasero_track_type_free()`.

#### Returns

a BraseroTrackType pointer.

### brasero_track_type_free ()

    void
    brasero_track_type_free (BraseroTrackType *type);

Frees BraseroTrackType structure.

#### Parameters

type | a BraseroTrackType. |

### brasero_track_type_is_empty ()

    gboolean
    brasero_track_type_is_empty (const BraseroTrackType *type);

Returns TRUE if no type was set.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a gboolean

### brasero_track_type_get_has_data ()

    gboolean
    brasero_track_type_get_has_data (const BraseroTrackType *type);

Returns TRUE if DATA type (see `brasero_track_data_new()`) was set.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a gboolean

### brasero_track_type_get_has_image ()

    gboolean
    brasero_track_type_get_has_image (const BraseroTrackType *type);

Returns TRUE if IMAGE type (see `brasero_track_image_new()`) was set.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a gboolean

### brasero_track_type_get_has_stream ()

    gboolean
    brasero_track_type_get_has_stream (const BraseroTrackType *type);

This function returns `TRUE` if IMAGE type (see `brasero_track_stream_new()`) was set.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a gboolean

### brasero_track_type_get_has_medium ()

    gboolean
    brasero_track_type_get_has_medium (const BraseroTrackType *type);

Returns TRUE if MEDIUM type (see `brasero_track_disc_new()`) was set.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a gboolean

### brasero_track_type_set_has_data ()

    void
    brasero_track_type_set_has_data (BraseroTrackType *type);

Set DATA type for `type` .

#### Parameters

type | a BraseroTrackType. |

### brasero_track_type_set_has_image ()

    void
    brasero_track_type_set_has_image (BraseroTrackType *type);

Set IMAGE type for `type` .

#### Parameters

type | a BraseroTrackType. |

### brasero_track_type_set_has_stream ()

    void
    brasero_track_type_set_has_stream (BraseroTrackType *type);

Set STREAM type for `type`

#### Parameters

type | a BraseroTrackType. |

### brasero_track_type_set_has_medium ()

    void
    brasero_track_type_set_has_medium (BraseroTrackType *type);

Set MEDIUM type for `type` .

#### Parameters

type | a BraseroTrackType. |

### brasero_track_type_get_stream_format ()

    BraseroStreamFormat
    brasero_track_type_get_stream_format (const BraseroTrackType *type);

Returns the format for a stream (song or video) when `brasero_track_type_get_has_stream()` returned TRUE.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a BraseroStreamFormat

### brasero_track_type_get_image_format ()

    BraseroImageFormat
    brasero_track_type_get_image_format (const BraseroTrackType *type);

Returns the format of an image when `brasero_track_type_get_has_image()` returned TRUE.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a BraseroImageFormat

### brasero_track_type_get_medium_type ()

    BraseroMedia
    brasero_track_type_get_medium_type (const BraseroTrackType *type);

Returns the medium type when `brasero_track_type_get_has_medium()` returned TRUE.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a BraseroMedia

### brasero_track_type_get_data_fs ()

    BraseroImageFS
    brasero_track_type_get_data_fs (const BraseroTrackType *type);

Returns the parameters for the image generation when `brasero_track_type_get_has_data()` returned TRUE.

#### Parameters

type | a BraseroTrackType. |

#### Returns

a BraseroImageFS

### brasero_track_type_set_stream_format ()

    void
    brasero_track_type_set_stream_format (BraseroTrackType *type,
                                          BraseroStreamFormat format);

Sets the BraseroStreamFormat. Must be called after `brasero_track_type_set_has_stream()`.

#### Parameters

type | a BraseroTrackType. |
format | a BraseroImageFormat |

### brasero_track_type_set_image_format ()

    void
    brasero_track_type_set_image_format (BraseroTrackType *type,
                                         BraseroImageFormat format);

Sets the BraseroImageFormat. Must be called after `brasero_track_type_set_has_image()`.

#### Parameters

type | a BraseroTrackType. |
format | a BraseroImageFormat |

### brasero_track_type_set_medium_type ()

    void
    brasero_track_type_set_medium_type (BraseroTrackType *type,
                                        BraseroMedia media);

Sets the BraseroMedia. Must be called after `brasero_track_type_set_has_medium()`.

#### Parameters

type | a BraseroTrackType. |
media | a BraseroMedia |

### brasero_track_type_set_data_fs ()

    void
    brasero_track_type_set_data_fs (BraseroTrackType *type,
                                    BraseroImageFS fs_type);

Sets the BraseroImageFS. Must be called after `brasero_track_type_set_has_data()`.

#### Parameters

type | a BraseroTrackType. |
fs_type | a BraseroImageFS |

### brasero_track_type_equal ()

    gboolean
    brasero_track_type_equal (const BraseroTrackType *type_A,
                              const BraseroTrackType *type_B);

Returns TRUE if `type_A` and `type_B` represents the same type and subtype.

#### Parameters

type_A | a BraseroTrackType. |
type_B | a BraseroTrackType. |

#### Returns

a gboolean

## Types and Values

### BraseroTrackType

    typedef struct _BraseroTrackType BraseroTrackType;